# Serialized Form

## Package org.gitana.platform

## Package org.gitana.platform.services.billing

### Class org.gitana.platform.services.billing.PaymentMethodValidation extends GitanaObjectImpl implements Serializable

### Class org.gitana.platform.services.billing.PaymentMethodValidationError extends GitanaObjectImpl implements Serializable

## Package org.gitana.platform.services.node

### Class org.gitana.platform.services.node.NodeBuilderException extends RuntimeException implements Serializable

## Package org.gitana.platform.services.reference

### Class org.gitana.platform.services.reference.Reference extends Object implements Serializable

### Serialized Fields

#### typeId

    String typeId

#### identifiers

    List<E> identifiers

#### reference

    String reference

## Package org.gitana.platform.services.transfer

### Class org.gitana.platform.services.transfer.TransferConfiguration extends GitanaObjectImpl implements Serializable

### Class org.gitana.platform.services.transfer.TransferDependency extends GitanaObjectImpl implements Serializable

### Serialized Fields

#### reference

    Reference reference

### Class org.gitana.platform.services.transfer.TransferDependencyChain extends ArrayList<TransferDependency> implements Serializable

### Class org.gitana.platform.services.transfer.TransferExportConfiguration extends TransferConfiguration implements Serializable

### Class org.gitana.platform.services.transfer.TransferImportConfiguration extends TransferConfiguration implements Serializable

## Package org.gitana.platform.services.traversal

### Class org.gitana.platform.services.traversal.TraversalBuilderException extends RuntimeException implements Serializable

## Package org.gitana.platform.support

### Class org.gitana.platform.support.GitanaObjectImpl extends Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream ois)
                     throws Exception

Custom deserializer

Throws:
  `Exception`

#### writeObject

    private void writeObject(ObjectOutputStream oos)
                      throws IOException

Custom serializer

Throws:
  `IOException`

### Class org.gitana.platform.support.InvalidQNameException extends org.gitana.exception.GitanaRuntimeException implements Serializable

### Class org.gitana.platform.support.QName extends Object implements Serializable

### Serialized Fields

#### namespace

    String namespace

#### name

    String name

#### hashCode

    int hashCode

### Class org.gitana.platform.support.ResultMapImpl extends LinkedHashMap<String,V> implements Serializable

### Serialized Fields

#### offset

    int offset

#### totalRows

    int totalRows